> ## Documentation Index
> Fetch the complete documentation index at: https://docs.samplehc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create WellSky insurance

> Create or update insurance information for a patient in WellSky.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/samplehc/openapi.documented.yml post /api/v2/integrations/wellsky/{slug}/insurances
openapi: 3.0.3
info:
  title: Sample Healthcare API
  description: API for Sample Healthcare
  version: 1.0.0
servers: []
security: []
paths:
  /api/v2/integrations/wellsky/{slug}/insurances:
    post:
      tags:
        - Integration - WellSky
      summary: Create WellSky insurance
      description: Create or update insurance information for a patient in WellSky.
      parameters:
        - schema:
            type: string
          in: path
          name: slug
          required: true
          description: The slug of the WellSky connection.
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                WSCLV6:
                  type: number
                  description: Level 6 identifier (facility/location code)
                WSCNUM:
                  type: number
                  description: Contact number (patient/client ID)
                WSOPTN:
                  type: string
                  default: C
                  description: Operation type (C=Create, U=Update, D=Delete)
                WRNFLAG:
                  type: string
                  default: ''
                  description: Warning flag
                INSINFO:
                  type: object
                  properties:
                    MKISDT:
                      type: number
                      description: Insurance start date (YYYYMMDD)
                    MKITDT:
                      type: number
                      description: Insurance thru/end date (YYYYMMDD)
                    MKISBD:
                      type: number
                      description: Subscriber birth date (YYYYMMDD)
                    MKIDLT:
                      type: number
                      default: 0
                      description: Delete date
                    MKIUBC:
                      type: number
                      description: UB Code / Payor identifier
                    MKIPLN:
                      type: number
                      description: Plan number
                    MKIRNK:
                      type: number
                      description: Insurance rank (1=primary, 2=secondary)
                    MKISNM:
                      type: string
                      description: Subscriber name (LastName, FirstName)
                    MKIRLC:
                      type: string
                      description: Subscriber relationship code
                    MKISSN:
                      type: string
                      description: Subscriber SSN
                    MKISSX:
                      type: string
                      description: Subscriber sex
                    MKIRSC:
                      type: string
                      description: Subscriber resource
                    MKIPLY:
                      type: string
                      description: Current policy number
                    MKIPLYNEW:
                      type: string
                      default: ''
                      description: New policy number
                    MKIGRP:
                      type: string
                      description: Group number
                    MKIGNM:
                      type: string
                      description: Group name
                    MKICIP:
                      type: number
                      default: 0
                      description: Copay amount
                    MKIMXC:
                      type: number
                      description: Max coverage
                    MKIDED:
                      type: number
                      description: Deductible
                    MKIDAM:
                      type: number
                      description: Deductible amount
                    MKIOOP:
                      type: number
                      description: Out of pocket
                    MKIOPA:
                      type: number
                      description: Out of pocket amount
                    MKILIN:
                      type: number
                      default: 0
                      description: Line number
                    MKIFDY:
                      type: number
                      description: First day
                    MKICD2:
                      type: number
                      description: Code 2
                    MKIMLP:
                      type: number
                      description: MLP
                    MKIQPN:
                      type: number
                      description: QPN
                    MKIDLF:
                      type: number
                      description: DLF
                    MKITAL:
                      type: number
                      description: TAL
                    SHOWSKILL:
                      type: string
                      default: 'N'
                      description: Show skill flag (Y/N)
                    MKITRA:
                      type: string
                      description: Transfer
                    MKIPSV:
                      type: string
                      description: PSV
                    MKICMT:
                      type: string
                      description: Comments
                    MKISNF:
                      type: string
                      description: SNF
                    MKIHBN:
                      type: string
                      description: HBN
                    MKIHCO:
                      type: string
                      description: HCO
                    MKIMBN:
                      type: string
                      description: MBN
                    NEWADDRL1:
                      type: string
                      description: Address line 1
                    NEWADDRL2:
                      type: string
                      description: Address line 2
                    NEWADDRCTY:
                      type: string
                      description: City
                    NEWADDRST:
                      type: string
                      description: State
                    NEWADDRZIP:
                      type: string
                      description: ZIP code
                  required:
                    - MKISDT
                    - MKITDT
                    - MKIUBC
                    - MKIPLN
                    - MKIRNK
                    - MKISNM
                    - MKIRLC
                    - MKISSN
                  additionalProperties: false
                  description: Insurance information
                INSCMTINFO:
                  type: array
                  items: {}
                  default: []
                  description: Insurance comments
                INSCMTCT:
                  type: number
                  default: 0
                  description: Insurance comment count
              required:
                - WSCLV6
                - WSCNUM
                - INSINFO
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema: {}
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: The error message.
                  message:
                    type: string
                    description: The message.
                  statusCode:
                    type: number
                    description: The status code.
                  details:
                    type: object
                    additionalProperties: {}
                    description: The details of the error
                additionalProperties: true
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: WellSky connection not found.
                required:
                  - error
                additionalProperties: false
        '500':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: Internal server error.
                required:
                  - error
                additionalProperties: false

````